#ifndef CGUL_EXCEPTION_P_H
#define CGUL_EXCEPTION_P_H

/**
 * @file
 * @author Paul Serice
 */

#include "cgul_exception.h"

CGUL_BEGIN_C

/**
 * Private data for <code>cgul_exception</code>.
 */
struct cgul_exception {

    /*
     * WARNING: The order here is important because a static
     * initializer is used to initialize the
     * cgul_exception__out_of_memory_exception object.  You should
     * read the doxygen comments for
     * cgul_exception__get_out_of_memory_exception() before altering
     * this structure.
     */

    /** Error message passed back to catching code. */
    char* message;
};

CGUL_END_C

#endif  /*  CGUL_EXCEPTION_P_H  */
