#include <stdio.h>
#include "cgul.h"

int main(int argc, char* argv[])
{
    int rv = 0;
    cgul_exception_t local = NULL;

    local = cgul_exception__new("Hello, World!");

    if (local) {
        const char* msg = cgul_exception__get_message(local);
        fprintf(stderr, "*** Error: %s\n", msg);
        cgul_exception__delete(local);
        local = NULL;
        rv = 1;
    }

    return rv;
}
