#include <iostream>
#include <stdexcept>
#include "cgul_cxx.h"

using namespace std;

int
main(int argc,
     char* argv[])
{
    int rv = 0;
    unsigned long int i = 0;

    try {

        for (i = 1 ; i <= 64  ; ++i) {
            cout << "floor(log2(" << i << ")) = "
                 << cgul_log2_cxx::floor(i) << endl;
            cout << " ceil(log2(" << i << ")) = "
                 << cgul_log2_cxx::ceil(i) << endl;
            cout << endl;
        }

    } catch (const exception& e) {
        cerr << "*** Error: " << e.what() << endl;
        rv = 1;

    } catch (const cgul_exception_cxx& e) {
        cerr << "*** Error: " << e.get_message() << endl;
        rv = 1;
    }

    return rv;
}
