#include <iostream>
#include <stdexcept>
#include "cgul_cxx.h"

using namespace std;

int main(int argc, char* argv[])
{
    int rv = 0;

    try {
        cgul_string_cxx s1 = "aaAaa";
        cgul_string_cxx s2 = "aaaaa";
        printf("s1 = %s\n", (char*)s1);
        printf("s2 = %s\n", (char*)s2);
        if (s1 > s2) {
            printf("s1 greater than s2\n");
        } else {
            printf("s1 not greater than s2\n");
        }
    } catch (const exception& e) {
        cout << "*** Error: " << e.what() << endl;
        rv = 1;
    } catch (const cgul_exception_cxx& e) {
        cout << "*** Error: " << e.get_message() << endl;
        rv = 1;
    }

    return rv;
}
