#ifndef CGUL_SBOX_H
#define CGUL_SBOX_H

/**
 * S-Box.  This is just a table that is used by other parts of the
 * library as a substitution box.
 *
 * @file
 * @author Paul Serice
 * @brief S-Box
 */

#include "cgul_common.h"
#include "cgul_int.h"

CGUL_BEGIN_C

/**
 * S-Box used by other parts of the library.
 */
extern CGUL_EXPORT cgul_uint32_t cgul_sbox[256];

CGUL_END_C

#endif  /*  CGUL_SBOX_H  */
