#ifndef CGUL_RANDOM_MT32_P_H
#define CGUL_RANDOM_MT32_P_H

#include "cgul_common.h"
#include "cgul_random_mt32.h"

CGUL_BEGIN_C

/**
 * Data encapsulated by the <code>cgul_random_mt32</code> class.
 */
struct cgul_random_mt32 {

    /**
     * The vector that holds PRNs that are waiting to be combined.
     */
    cgul_uint32_t* v;

    /**
     * The index into v for the next PRN to be combined.
     */
    size_t v_index;

};

CGUL_END_C

#endif  /*  CGUL_RANDOM_MT32_P_H  */
